%{!?_httpd_mmn: %{expand: %%global _httpd_mmn %%(cat %{_includedir}/httpd/.mmn || echo 0-0)}}
%{!?_httpd_apxs:       %{expand: %%global _httpd_apxs       %%{_sbindir}/apxs}}
%{!?_httpd_confdir:    %{expand: %%global _httpd_confdir    %%{_sysconfdir}/httpd/conf.d}}
%{!?_httpd_modconfdir: %{expand: %%global _httpd_modconfdir %%{_sysconfdir}/httpd/conf.d}}
%{!?_httpd_moddir:    %{expand: %%global _httpd_moddir    %%{_libdir}/httpd/modules}}

Name:          mod_lookup_identity
Summary:       Used to retrieve additional information about the authenticated user
Version:       1.0.0
Release:       10
License:       ASL 2.0
URL:           http://www.adelton.com/apache/mod_lookup_identity/
Source0:       http://www.adelton.com/apache/mod_lookup_identity/%{name}-%{version}.tar.gz
BuildRequires: httpd-devel dbus-devel pkgconfig gcc perl
Requires:      httpd-mmn = %{_httpd_mmn}

%{?filter_provides_in: %filter_provides_in %{_libdir}/httpd/modules/.*\.so$}
%{?filter_setup}

%description
mod_lookup_identity is a module to lookup user identifier and retrieves
additional information about the authenticated users.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%{_httpd_apxs} -c -Wc,"%{optflags} -Wall -pedantic -std=c99 $(pkg-config --cflags dbus-1)" $(pkg-config --libs dbus-1) mod_lookup_identity.c
cat << EOF > lookup_identity.confx

# Load the module in %{_httpd_modconfdir}/55-lookup_identity.conf
EOF
cat lookup_identity.conf >> lookup_identity.confx

%install
install -Dm 755 .libs/mod_lookup_identity.so $RPM_BUILD_ROOT%{_httpd_moddir}/mod_lookup_identity.so
install -Dp -m 0644 lookup_identity.module $RPM_BUILD_ROOT%{_httpd_modconfdir}/55-lookup_identity.conf
install -Dp -m 0644 lookup_identity.confx $RPM_BUILD_ROOT%{_httpd_confdir}/lookup_identity.conf

%files
%doc README LICENSE
%config(noreplace) %{_httpd_modconfdir}/55-lookup_identity.conf
%config(noreplace) %{_httpd_confdir}/lookup_identity.conf
%{_httpd_moddir}/*.so

%changelog
* Fri Jan 7 2022 liyanan <liyanan32@huawei.com> - 1.0.0-10
- Add the perl dependency

* Wed Jun 09 2021 wulei <wulei80@huawei.com> - 1.0.0-9
- fixes failed: gcc: command not found

* Fri Apr 17 2020 lizhenhua <lizhenhua21@huawei.com> - 1.0.0-8
- Package init
